{ config, pkgs, lib, ... }:
let
  meta = import ../../../meta;
  network = meta.network.virtual;
  networkName = "mgmt";
in {
  networking.wireguard.enable = true;
  networking.wireguard.interfaces = {
    "wg-${networkName}" =
      pkgs.lib.qois.wireguard.makeInterface config.networking.hostName
      networkName network.${networkName};
  };
}
