{ config, pkgs, ... }: {

  imports = [
    ./networking.nix
    ./filesystems.nix
    ./database.nix
    ./backup.nix
    ./applications

    ../../hardware/nuc.nix

    ../../defaults/base
    ../../defaults/webserver
  ];

  # Set your time zone.
  # time.timeZone = "Europe/Amsterdam";

  # This value determines the NixOS release with which your system is to be
  # compatible, in order to avoid breaking some software such as database
  # servers. You should change this only after NixOS release notes say you
  # should.
  system.stateVersion = "20.03"; # Did you read the comment?

}
