{ config, pkgs, ... }:

{

  imports = [ ../../defaults/database ];
  services.postgresql = {
    ensureDatabases = [ "nextcloud" ];
    ensureUsers = [{
      name = "nextcloud";
      ensurePermissions."DATABASE nextcloud" = "ALL PRIVILEGES";
    }];
  };
}
